## Class current_process_name

boost::log::attributes::current_process_name — A class of an attribute that holds the current process name.

## Synopsis

    // In header: <boost/log/attributes/current_process_name.hpp>

    class current_process_name : public constant< std::string > {
    public:
      // construct/copy/destruct
      current_process_name();
      explicit current_process_name(cast_source const &);
    };

## Description

### `current_process_name` public construct/copy/destruct

1.     current_process_name();

   Constructor. Initializes the attribute with the current process name.

2.     explicit current_process_name(cast_source const & source);

   Constructor for casting support